## org.eclipse.jetty.http
Class PathMap.Entry

    java.lang.Object
      org.eclipse.jetty.http.PathMap.Entry

All Implemented Interfaces:
  java.util.Map.Entry

Enclosing class:
  PathMap

    public static class PathMap.Entry

extends java.lang.Object
implements java.util.Map.Entry

Method Summary
`java.lang.Object` `getKey()`
`java.lang.String` `getMapped()`
`java.lang.Object` `getValue()`
`java.lang.Object` `setValue(java.lang.Object o)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Method Detail

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry`

### setValue

    public java.lang.Object setValue(java.lang.Object o)

  Specified by:
    `setValue` in interface `java.util.Map.Entry`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMapped

    public java.lang.String getMapped()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.